View Issue Details

IDProjectCategoryView StatusLast Update
0002862PartDesignBugpublic2018-08-26 15:23
ReporternormandcAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002862: Check for shape type before using selection as base feature
DescriptionIn the new PartDesign workflow, a shape can be imported as base feature into a new Body.

But the function does not seem to check for body type. Adding a sketch to a new body makes it a base feature and prevents it from being used directly for PartDesign features and even results in a crash.

There are many ways the end user may want to import a sketch made independently from PartDesign. Selecting it then creating a new Body seems intuitive to the end user.
Steps To Reproduce1. Switch to the Sketcher and create a new sketch, add some geometry and close it.
2. Switch to the PartDesign workbench
3. Select the Sketch and click on "Create new body"
4. With the Sketch still selected, click on "Pad a selected sketch"
5. A dialog opens saying "You selected geometries which are not part of the active body. Please define how to handle those selections. If you do not want those references cancel the command."
6. Choosing either "Making independent copy (recommended)" or "Make dependent copy" results in an instant crash. "Create cross-reference" succeeds.
Additional InformationForum discussion: http://forum.freecadweb.org/viewtopic.php?f=3&t=19878
The crash may be a different issue.

My suggestion is the following method for importing a sketch into a new Body:

1. Select sketch
2. Create new Body
3. The "Select feature" dialog opens in the Tasks panel to select the plane to attach the sketch to.
TagsNo tags attached.

Relationships

related to 0002501 closedickby Mirror feature don't accept datum plane 
related to 0003202 closedickby Part2DFeatures should be usable in Body and not create BaseFeature 

Activities

normandc

2017-01-15 20:35

manager  

FC017_Sketch_as_base_feature.fcstd (9,144 bytes)

normandc

2017-01-15 20:35

manager  

wmayer

2017-09-25 09:46

administrator   ~0010185

With recent changes on the body implementation it doesn't crash any more. Although it's possible now to properly add the sketch (with the property editor of the group) to the body it's still quite inconvenient.
So, we need a special treatment of the sketch when creating the body.

wmayer

2017-10-01 22:58

administrator   ~0010234

https://github.com/FreeCAD/FreeCAD/commit/8a17c4e07904e0e51c53de9d1696a71d9b84890d

Issue History

Date Modified Username Field Change
2017-01-15 20:35 normandc New Issue
2017-01-15 20:35 normandc File Added: FC017_Sketch_as_base_feature.fcstd
2017-01-15 20:35 normandc File Added: FC017_Select_feature_dialog.png
2017-03-17 18:47 Kunda1 Relationship added related to 0002501
2017-06-28 23:23 Kunda1 Tag Attached: #pending
2017-08-23 12:15 Kunda1 Tag Attached: #post-to-forum
2017-09-25 09:46 wmayer Note Added: 0010185
2017-09-30 09:23 wmayer Relationship added related to 0003202
2017-10-01 22:58 wmayer Assigned To => wmayer
2017-10-01 22:58 wmayer Status new => closed
2017-10-01 22:58 wmayer Resolution open => fixed
2017-10-01 22:58 wmayer Fixed in Version => 0.17
2017-10-01 22:58 wmayer Note Added: 0010234
2018-08-26 15:23 Kunda1 Tag Detached: #pending
2018-08-26 15:23 Kunda1 Tag Detached: #post-to-forum